---
- name: generate real suffix
  ansible.builtin.set_fact:
    sgroup_suffix:
      "{{ (sgroup.suffix | length > 0) | ternary ('-' ~ sgroup.suffix, '') }}"

- name: set security group label and name
  ansible.builtin.set_fact:
    sgroup_label:
      "{{ (sgroup.suffix | length > 0) |
       ternary(sgroup.suffix, sgroup.description) }}"
    sgroup_name: "{{ os_infra_base_sgroup_name }}{{ sgroup_suffix }}"

- name: "create security group rule for {{ sgroup_label }}"
  ansible.builtin.include_tasks: security_group_rule.yml
  loop: "{{ sgroup.rules }}"
  loop_control:
    loop_var: rule
